---
- hosts: all
  become: yes

  vars:
    username: "student"
    interface: "gui"
    hostname: "cpl-vm"

  tasks:
  - name: Basic setup
    include: ../playbooks-common/basic.yml

  - name: Reboot the machine
    reboot:

  - name: Dev-tools setup
    include: ../playbooks-common/dev-tools.yml

  - name: Dev-tools setup
    include: dev-tools.yml

  - name: Antlr4 setup
    include: antlr4.yml

  - name: Eclipse setup
    include: ../playbooks-common/eclipse.yml

  - name: vscode setup
    include: ../playbooks-common/vscode.yml
    when: interface == "gui"

  - name: vscode setup
    include: vscode.yml
    when: interface == "gui"

  - name: branding
    include: branding.yml
